----------------------------------------------------------------------------------
-- Company: Hochschule RheinMain
-- Engineer: Steffen Reith <Steffen.Reith@hs-rm.de>
-- 
-- Create Date:    11:55:36 06/10/2014
-- Module Name:    afFifo - Behavioral 
-- Project Name:   afFifo - A non generic asynchron FIFO instance for testing
--
-- Revision: $Id: afFifo.vhd 225 2014-06-10 10:02:58Z streit $
----------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library unisim;  
use unisim.vcomponents.all;

entity afFifo is

  port (clear : in std_logic;  -- Clear the Fifo and init internal state

        -- Read port of Fifo
        readData   : out std_logic_vector(7 downto 0);
        isEmpty    : out std_logic;     -- something can be read for the fifo
        readEnable : in  std_logic;     -- enable the write port
        rClk       : in  std_logic;     -- clock signal for the read domain 

        -- Write port of Fifo
        writeData   : in  std_logic_vector(7 downto 0);
        isFull      : out std_logic;    -- something can be read from the fifo
        writeEnable : in  std_logic;    -- enable the read port
        wClk        : in  std_logic);   -- clock signal for the write domain

end afFifo;

architecture Structural of afFifo is
begin

  fifo : entity work.aFifo(Behavioral)
    generic map (dWidth => 8,
                 aWidth => 5)
    port map (clear       => clear,
              readData    => readData,
              isEmpty     => isEmpty,
              readEnable  => readEnable,
              rClk        => rClk,
              writeData   => writeData,
              isFull      => isFull,
              writeEnable => writeEnable,
              wClk        => wClk);

end architecture;
